<?php

namespace common\modules\messageTemplate;

/**
 * MessageTemplate module definition class
 */
class Module extends \common\components\WebModule
{
    /**
     * @inheritdoc
     */
    public $controllerNamespace = 'common\modules\messageTemplate\controllers';

    public static $active = true;

    public $menu_icons = 'fa fa-message';

    /**
     * @inheritdoc
     */
    public function init()
    {
        parent::init();

        // custom initialization code goes here
    }

    public static function name()
    {
        return 'Управление письмами';
    }

    public static function description()
    {
        return 'Управление письмами';
    }


    public static function version()
    {
        return '1.0';
    }

    public static function adminMenu()
    {
        return [
            'Управление письмами' => '/message-template/template-admin/manage'
        ];
    }
}
